## autopilot-gtk 0.4daily13.03.11

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)
project(autopilot-gtk)

include (GNUInstallDirs)

set (VERSION 0.2)

set (CMAKE_CXX_FLAGS "-DGNOME_DESKTOP_USE_UNSTABLE_API -std=c++11 -fno-permissive")
INCLUDE(FindPkgConfig)
add_subdirectory(lib)

=== lib/CMakeLists.txt ===

set(SOURCES
  main.cpp
  Variant.cpp
  GtkNode.cpp
  Introspection.cpp
  IntrospectionService.c
  GtkRootNode.cpp)
set(HEADERS
  main.h
  GtkNode.h
  GtkRootNode.h
  Introspection.h
  IntrospectionService.h
  Variant.h)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wall -Werror -Wl,--no-undefined")

add_library(autopilot SHARED ${SOURCES})

pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GTK REQUIRED gtk+-3.0)
pkg_check_modules(XPATHSELECT REQUIRED xpathselect)

include_directories(${GLIB_INCLUDE_DIRS}
  ${GTK_INCLUDE_DIRS}
  ${XPATHSELECT_INCLUDE_DIRS})
link_directories(${GLIB_LIBRARY_DIRS})

target_link_libraries(autopilot
  ${GLIB_LIBRARIES}
  ${GTK_LIBRARIES}
  ${XPATHSELECT_LIBRARIES})

install(TARGETS autopilot
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/gtk-3.0/modules)

## autopilot-gtk 1.3+13.10.20130628-0ubuntu1

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -31,5 +31,7 @@
   ${GTK_LIBRARIES}
   ${XPATHSELECT_LIBRARIES})
 
+execute_process(COMMAND ln -s . lib/modules)
+
 install(TARGETS autopilot
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/gtk-3.0/modules)

=== debian/changelog ===
autopilot-gtk (1.3+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Martin Pitt ]
  * Handle enum and flags properties. (LP: #1193342). (LP: #1193342)
  * Expose GtkBuilder widget identifiers as "BuilderName" property. (LP:
    #1082391). (LP: #1082391)
  * This fixes the two test failures on raring which Francis saw in
    https://code.launchpad.net/~pitti/autopilot-gtk/add-
    tests/+merge/171036/comments/382574 I also sneaked in an unrelated,
    but trivial change for dropping a leftover debugging statement, in
    the interest of saving human reviewer and builder resources.
  * Support GtkTextBuffer properties, to introspect GtkTextView
    contents. (LP: #1194371)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 51

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 00:01:10 +0000

autopilot-gtk (1.3+13.10.20130627-0ubuntu1) saucy; urgency=low

  [ Martin Pitt ]
  * Add make test/ctest integration, and run tests during package build.
  * Add integration test suite (LP: #1083612). (LP: #1083612)

  [ Alberto Mardegan ]
  * Initialize rect fields to -1 This makes the globalRect variable
    return negative values (for some reason, not -1 but -2147483648)
    when the rectangle is offscreen. (LP: #1176234)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 46

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 00:01:15 +0000

autopilot-gtk (1.3daily13.06.05-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Export the ATK objects hierarchy as well AtkObject interfaces are
    meant for accessibility, and expose more information which can be
    useful for automated testing. For instance, it is possible to
    enumerate and introspect all the cells in a GtkTreeView. This patch
    exposes the ATK objects hierarchies as children of the root node;
    the existing GtkWidget hierarchy is left untouched, and can still be
    used. . (LP: #1160827)

  [ Thomi Richards ]
  * fix property searching. (LP: #1175738)
  * Fix crashing bug. (LP: #1177161)
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ Christopher Lee ]
  * Add GetVersion to the DBus introspection.

  [ David Barth ]
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ Allan LeSage ]
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 42

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 07:08:46 +0000

autopilot-gtk (1.3daily13.05.24ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ Allan LeSage ]
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ David Barth ]
  * This change fixes an issue with queries that look for gtk windows
    matching a particular property value. A set of 2 tests has been
    added to verify the queries that were otherwise failing with a void
    return set.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 41 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 May 2013 00:01:41 +0000

autopilot-gtk (1.3daily13.05.09ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 39 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 May 2013 00:00:58 +0000

autopilot-gtk (1.3daily13.05.08ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Autopilot-gtk crashes when a query returns no results. (LP:
    #1177161)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 37 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 May 2013 00:00:58 +0000

autopilot-gtk (1.3daily13.05.03ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Christopher Lee ]
  * Bump version number

  [ Thomi Richards ]
  * property matching is broken (LP: #1175738)

  [ Christopher Lee <chris.lee@canonical.com>, Thomi Richards ]
  * DBus wire protocol changes required (LP: #1155351)

  [ Alberto Mardegan ]
  * GtkTreeView's contents cannot be introspected (LP: #1160827)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 35 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 May 2013 00:00:55 +0000

autopilot-gtk (0.4daily13.03.11-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Rebuild against libxpathselect1.2

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 31

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Mar 2013 11:31:34 +0000

autopilot-gtk (0.4daily13.02.22-0ubuntu1) raring; urgency=low

  [ Thomi Richards ]
  * Need a log message to verify that the plugin loaded OK. (LP:
    #1130861)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 28

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 22 Feb 2013 00:01:29 +0000

autopilot-gtk (0.4daily13.02.14-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 26

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 14 Feb 2013 00:01:51 +0000



=== debian/control ===
Source: autopilot-gtk
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Allan LeSage <allan.lesage@canonical.com>
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               libglib2.0-dev,
               libgtk-3-dev,
               libxpathselect-dev (>= 1.3),
               xvfb,
               dbus-x11,
               python-autopilot,
               python-xlib,
               python-evdev,
               python-gi,
               gir1.2-gtk-3.0,
               gsettings-desktop-schemas,
               gnome-system-log,
Standards-Version: 3.9.4
Section: libs
Homepage: https://launchpad.net/autopilot-gtk
# If you aren't a member of ~autopilot but need to upload
# packaging changes, just go ahead. ~autopilot will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~autopilot/autopilot-gtk/trunk
Vcs-Browser: https://bazaar.launchpad.net/~autopilot/autopilot-gtk/trunk/files

Package: libautopilot-gtk
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
         ${misc:Depends},
Replaces: autopilot-gtk, libautopilot-gtk0, libautopilot-gtk-dev
Conflicts: autopilot-gtk, libautopilot-gtk0, libautopilot-gtk-dev
Provides: autopilot-gtk, libautopilot-gtk0
Description: Makes GTK+ applications introspectable by autopilot.
 This allows autopilot to test any existing GTK+ application,
 without having to rebuild the application under test.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ 

override_dh_auto_test:
	mkdir -p debian/tmp/home/run
	env HOME=$(CURDIR)/debian/tmp/home XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/home/run \
		xvfb-run dh_auto_test

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

## autopilot-gtk 1.4+14.04.20140107

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,8 @@
 
 include_directories(${GLIB_INCLUDE_DIRS}
   ${GTK_INCLUDE_DIRS}
-  ${XPATHSELECT_INCLUDE_DIRS})
+  ${XPATHSELECT_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR})
 link_directories(${GLIB_LIBRARY_DIRS})
 
 target_link_libraries(autopilot
@@ -31,6 +32,18 @@
   ${GTK_LIBRARIES}
   ${XPATHSELECT_LIBRARIES})
 
+add_custom_command(
+  OUTPUT IntrospectionService.c IntrospectionService.h
+  COMMAND gdbus-codegen
+  ARGS --generate-c-code IntrospectionService --interface-prefix com.canonical ${CMAKE_CURRENT_SOURCE_DIR}/IntrospectionService.xml
+  DEPENDS IntrospectionService.xml
+)
+
+add_custom_target(generate_introspection_service
+  DEPENDS IntrospectionService.xml)
+add_dependencies(autopilot generate_introspection_service)
+
+
 execute_process(COMMAND ln -s . lib/modules)
 
 install(TARGETS autopilot

## autopilot-gtk 1.4+15.10.20150826

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 set (CMAKE_CXX_FLAGS "-DGNOME_DESKTOP_USE_UNSTABLE_API -std=c++11 -fno-permissive")
 INCLUDE(FindPkgConfig)
 add_subdirectory(lib)
+
+enable_testing()
+add_test(nose sh -c "cd ${CMAKE_CURRENT_SOURCE_DIR}/tests/autopilot; GTK_PATH=${CMAKE_CURRENT_BINARY_DIR}/lib autopilot run -v tests")

## autopilot-gtk 1.6.0

=== debian/changelog ===
autopilot-gtk (1.6.0) focal; urgency=medium

  * Remove the dependency on python2 version of autopilot (LP: #1856574)
  * Update the dependencies to python3 version of autopilot.
  * Fixed the testsuite.
  * Bump version number and align it with autopilot
  * Update Standards-Version to 4.4.1

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Tue, 17 Dec 2019 07:55:05 +0100

autopilot-gtk (1.4+15.10.20150826-0ubuntu2) cosmic; urgency=medium

  * tests/hello_color.ui: Set a border-width on the GtkButtonBox. The
    testsuite is trying to select all GtkButtonBoxes with border-width equal
    to 5 without explicitly construcitng one. This worked fine with Ambiance,
    but now that the default theme is Yaru nothing matches any more, since
    presumably this value is different there. Ideally the testsuite should be
    independent of the theme, so we fix this bug by making the test program's
    .ui file set a border-width of 5 on the GtkButtonBox.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Sep 2018 16:38:14 +0100

autopilot-gtk (1.4+15.10.20150826-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Iain Lane ]
  * Wait until the dialog actually goes away before checking for its
    disappearance to fix failing test.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 26 Aug 2015 20:34:29 +0000

autopilot-gtk (1.4+15.04.20141218-0ubuntu1) vivid; urgency=low

  [ Iain Lane ]
  * debian/tests/control: Test-Depend on light-themes. The tests check
    some properties of the Ubuntu theme - ensure it's installed.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Dec 2014 17:05:15 +0000

autopilot-gtk (1.4+14.10.20140526-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Update build and test deps for autopilot-legacy. Replace gnome-
    system-log test with gnome-calculator test .

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 May 2014 10:04:31 +0000

autopilot-gtk (1.4+14.04.20140107-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against trusty's xpathselect. The previous auto-upload
    was built against the PPA's xpathselect which isn't in trusty yet, making
    this uninstallable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jan 2014 07:30:56 +0100

autopilot-gtk (1.4+14.04.20140107-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * Tone down "unsupported type" warning into a debug message. (LP:
    #1250452)
  * Add stress test case for querying lots of properties in a tight
    loop. (LP: #1266689)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 70

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Jan 2014 22:47:25 +0000

autopilot-gtk (1.4+14.04.20131218-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against trusty's xpathselect. The previous auto-upload
    was built against the PPA's xpathselect which isn't in trusty yet, making
    this uninstallable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Dec 2013 07:08:09 +0100

autopilot-gtk (1.4+14.04.20131218-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * Fix tests for GTK 3.10.
  * Avoid unnecessary, inefficient, and crash-prone temporary
    std::strings. (LP: #1261685)
  * Respect DEB_BUILD_OPTIONS=nocheck. Add autopkgtest. Add missing at-
    spi2-core test dependency (caused tests to run 20 min instead of 40
    s).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 66

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Dec 2013 18:40:27 +0000

autopilot-gtk (1.4+14.04.20131128.1-0ubuntu1) trusty; urgency=low

  [ Martin Pitt ]
  * Drop generated GDBus sources from bzr and generate them during
    build.
  * Avoid unnecessary string duplication when matching properties. This
    also fixes a rare crash when cleaning up the temporary string
    object. (LP: #1254996)

  [ Mathieu Trudel-Lapierre ]
  * Fix source format: make it 1.0.

  [ Timo Jyrinki ]
  * Wrap-and-sort dependencies, remove trailing whitespace.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 62

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Nov 2013 10:03:59 +0000

autopilot-gtk (1.4+14.04.20131106.1-0ubuntu1) trusty; urgency=low

  [ Thomi Richards ]
  * Update packaging details so upgrading from 1.3 -> 1.4 is seamless.
    (LP: #1227797)
  * Make autopilot-gtk print the wire protocol version when it start up.
    (LP: #1248293)

  [ Martin Pitt ]
  * Build-depend on autopilot >= 1.4 to ensure protocol compatibility in
    tests

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 57

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 10:03:24 +0000

autopilot-gtk (1.4-0ubuntu1) saucy; urgency=low

  [ Thomi Richards ]
  * Version bump, updatedx to new xpathselect API.

 -- Thomi Richards <thomi.richards@canonical.com>  Thu, 15 Aug 2013 15:12:39 +1200

autopilot-gtk (1.3+14.04.20130912ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 52 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Sep 2013 22:03:46 +0000

=== debian/control ===
Source: autopilot-gtk
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Allan LeSage <allan.lesage@canonical.com>
Build-Depends: autopilot-desktop (>= 1.6),
               bamfdaemon,
               at-spi2-core,
               cmake,
               dbus-x11,
               debhelper (>= 9),
               gnome-calculator,
               gsettings-desktop-schemas,
               gnome-icon-theme-symbolic,
               libglib2.0-dev,
               libgtk-3-dev,
               libxpathselect-dev (>= 1.4),
               pkg-config,
               python-evdev,
               python-gi,
               xvfb,
               light-themes
Standards-Version: 4.4.1
Section: libs
Homepage: https://launchpad.net/autopilot-gtk
# If you aren't a member of ~autopilot but need to upload
# packaging changes, just go ahead. ~autopilot will notice
# and sync up the code again.
Vcs-Git: https://git.launchpad.net/autopilot-gtk
Vcs-Browser: https://git.launchpad.net/autopilot-gtk
XS-Testsuite: autopkgtest

Package: libautopilot-gtk
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: python3-autopilot (>= 1.6),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: autopilot-gtk,
          libautopilot-gtk-dev,
          libautopilot-gtk0,
Conflicts: autopilot-gtk,
           libautopilot-gtk-dev,
           libautopilot-gtk0,
Provides: autopilot-gtk,
          libautopilot-gtk0,
Description: Makes GTK+ applications introspectable by autopilot.
 This allows autopilot to test any existing GTK+ application,
 without having to rebuild the application under test.

## autopilot-gtk 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,4 @@
 add_subdirectory(lib)
 
 enable_testing()
-add_test(nose sh -c "cd ${CMAKE_CURRENT_SOURCE_DIR}/tests/autopilot; GTK_PATH=${CMAKE_CURRENT_BINARY_DIR}/lib autopilot run -v tests")
+add_test(autopilot sh -c "cd ${CMAKE_CURRENT_SOURCE_DIR}/tests/autopilot; GTK_PATH=${CMAKE_CURRENT_BINARY_DIR}/lib autopilot3-sandbox-run -a -v tests")

=== debian/changelog ===
autopilot-gtk (1.6.1) groovy; urgency=medium

  [Jean-Baptiste Lallement]
  * Updated dependencies to python3 of evdev and gi (LP: #1856574)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Aug 2020 10:00:26 +0200

autopilot-gtk (1.6.0build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libgtk-3-dev,
                libxpathselect-dev (>= 1.4),
                pkg-config,
-               python-evdev,
-               python-gi,
+               python3-evdev,
+               python3-gi,
                xvfb,
                light-themes
 Standards-Version: 4.4.1

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 	dh $@ 
 
 override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	mkdir -p debian/tmp/home/run
 	env HOME=$(CURDIR)/debian/tmp/home XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/home/run \
-		xvfb-run dh_auto_test
+		xvfb-run -a -e $(CURDIR)/debian/tmp/X.log dh_auto_test || \
+	        { echo "==== X.org log ===="; cat $(CURDIR)/debian/tmp/X.log; false; }
+endif
 
 override_dh_install:
 	dh_install --fail-missing

## autopilot-gtk 1.6.1ubuntu1

=== debian/changelog ===
autopilot-gtk (1.6.1ubuntu1) noble; urgency=medium

  * Build-depend on python3-zombie-imp.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Mar 2024 19:12:01 +0100

autopilot-gtk (1.6.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:51:41 +0000

## autopilot-gtk 1.6.1ubuntu2

=== debian/changelog ===
autopilot-gtk (1.6.1ubuntu2) questing; urgency=medium

  * Fix FTBFS. autopilot only supports x11, MIR and uinput. (LP: #2106392)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 05 Aug 2025 11:51:22 -0300

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                pkg-config,
                python3-evdev,
                python3-gi,
+               python3-zombie-imp,
                xvfb,
                light-themes
 Standards-Version: 4.4.1

=== debian/tests/control ===
Tests: autopilot
Depends: @,
         autopilot-desktop (>= 1.6),
         bamfdaemon,
         at-spi2-core,
         xvfb,
         dbus-x11,
         gnome-calculator,
         gsettings-desktop-schemas,
         gnome-icon-theme-symbolic,
         python3-gi,
         gir1.2-gtk-3.0,
         light-themes

## autopilot-gtk 1.6.1ubuntu3

=== debian/changelog ===
autopilot-gtk (1.6.1ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 21:40:48 +0100
